$fn=30;

module solid()
{
    cube([56, 26, 2]);
    cube([56, 1.5, 10]);
    cube([4.5, 8, 6]);
    translate([51.5,0,0])
    {
        cube([4.5, 26, 6]);
    };
    cube([2.5, 26, 10]);
    translate([53.5,0,0])
    {
        cube([2.5, 26, 10]);
    };
    translate([0,24.5,0])
    {
        cube([56,1.5, 10]);
    }
}

module power_section()
{
    difference()
    {
        solid();    
        translate([5,0,3])
        {
            cube([9.5, 2, 3]);
        }
    
        //LED1 has center point     between 16.50mm and 18.80mm (18.885 center)
        translate([3+17.65, 2.5+1.85,0])
        {
            cylinder(r=2, h=2);
        }
    
        //LED2 20.87 and 23.77. (22.32 centre)
        translate([3+22.32, 2.5+1.85,0])
        {
            cylinder(r=2, h=2);
        }
    
        //LED2 29.14 and 32.15. (27.91 centre)
        translate([3+30.654, 2.5+1.85,0])
        {
            cylinder(r=2, h=2);
        }
        
        translate([8,26,5])
        {
            rotate([90,0,0]){
                cylinder(r=2, h=2);
            }
        }
        
        translate([48,26,5])
        {
            rotate([90,0,0]){
                cylinder(r=2, h=2);
            }
        }
    }
}

//power_section();

module battery_section()
{
    difference()
{
    cube([60,39, 4]);
    translate([2,2,1])
    {
        cube([56,35,3]);
        
    }
    translate([4,3,0])
    {
        cube([52,20,4]);
        
    }
}
}